Bug 479669 - Review Request: perl-File-pushd - Change directory temporarily for a limited scope
Review Request: perl-File-pushd - Change directory temporarily for a limited ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 479667
  Show dependency treegraph
 
Reported: 2009-01-12 07:40 EST by Marcela Mašláňová
Modified: 2011-06-21 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 02:39:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-01-12 07:40:12 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-File-pushd/perl-File-pushd.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-File-pushd/perl-File-pushd-1.00-1.fc10.src.rpm
Description: 
File::pushd does a temporary chdir that is easily and automatically
reverted, similar to pushd in some Unix command shells. It works by
creating an object that caches the original working directory. When the
object is destroyed, the destructor calls chdir to revert to the original
working directory. By storing the object in a lexical variable with a
limited scope, this happens automatically at the end of the scope.
Comment 1 Parag AN(पराग) 2009-01-12 23:52:41 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1048549
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c0d63d05db01a6da3aebd7cd6f93e520  File-pushd-1.00.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=37,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.19 cusr  0.05 csys =  0.26 CPU)

+ Package perl-File-pushd-1.00-1.fc11=>
  Provides: perl(File::pushd) = 1.00
  Requires: perl >= 0:5.004 perl(Carp) perl(Cwd) perl(Exporter) perl(File::Path) perl(File::Spec) perl(File::Temp) perl(overload) perl(strict)


Suggestions:
1) Remove "BuildRequires:  perl >= 0:5.004" from spec.
2) remove "Requires:       perl(Test::More) >= 0.45" Not needed.

APPROVED.
Comment 2 Marcela Mašláňová 2009-01-13 01:25:30 EST
Thank you for a quick review. The useless requirements will be removed before pushing package into Fedora.
Comment 3 Marcela Mašláňová 2009-01-13 01:26:41 EST
New Package CVS Request
=======================
Package Name: perl-File-pushd
Short Description: Change directory temporarily for a limited scope
Owners: mmaslano
Branches: F-10 devel
InitialCC: perl-devel
Comment 4 Marcela Mašláňová 2009-01-13 03:16:55 EST
I'm sorry, there's typo.

New Package CVS Request
=======================
Package Name: perl-File-pushd
Short Description: Change directory temporarily for a limited scope
Owners: mmaslano
Branches: F-10 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-01-13 15:41:16 EST
cvs done.
Comment 6 Marcela Mašláňová 2009-11-18 02:51:13 EST
New Package CVS Request
=======================
Package Name: perl-File-pushd
Short Description: Change directory temporarily for a limited scope
Owners: mmaslano
Branches: EPEL-5
InitialCC: perl-sig
Comment 7 Jason Tibbitts 2009-11-19 13:02:18 EST
This is confusing; are you just asking for an EL-5 branch?  If so, in the future please make a package change request according to https://fedoraproject.org/wiki/CVS_admin_requests#Package_Change_Requests_for_existing_packages

I've created an EL-5 branch but made no other changes; if that's not what was desired, please explain what you needed and set the fedora-cvs flag back to '?'.
Comment 8 Marcela Mašláňová 2009-11-20 02:39:57 EST
(In reply to comment #7)
> This is confusing; are you just asking for an EL-5 branch?  If so, in the
> future please make a package change request according to
> https://fedoraproject.org/wiki/CVS_admin_requests#Package_Change_Requests_for_existing_packages
> 
> I've created an EL-5 branch but made no other changes; if that's not what was
> desired, please explain what you needed and set the fedora-cvs flag back to
> '?'.  
I'm sorry I'll be using the correct request. Thank you for your changes.
Comment 9 Iain Arnell 2011-05-08 05:52:21 EDT
Marcela, perl-File-pushd appears to be in RHEL6 optional for some archs, but missing from ppc. Would you mind branching for el6 and re-building using the upstream srpm ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/perl-File-pushd-1.00-3.1.el6.src.rpm
Comment 10 Marcela Mašláňová 2011-05-09 04:28:24 EDT
That's not so easy. We would need this package in EL-6 only on ppc. I'm not sure if rel-eng scripts are capable to handle it. I'd ask few people about it.
Comment 11 Marcela Mašláňová 2011-05-09 04:40:05 EDT
Package Change Request
======================
Package Name: perl-File-pushd
New Branches: el6
Owners: mmaslano iarnell
InitialCC: perl-sig

[Iain: I've added you if you run into problem in EPEL. You can fix it by yourself.
Correct solution is add ExcludeArch (noarch packages) or ExlucusiveArch into specfile and build it only for ppc.]
Comment 12 Iain Arnell 2011-05-09 05:00:53 EDT
Unfortunately, ExcludeArch/ExclusiveArch isn't possible. See https://www.redhat.com/archives/epel-devel-list/2010-December/msg00111.html. All we can do is rebuild the existing srpm from rhel6 for all archs and hope that people with supported architectures get the package from rhn rather than epel (I'm sure there was some mention of using priorities to encourage that but can't find it right now).

It also came up again in the latest epel meeting - kevin was going to make a list of the existing some-arch packages and maybe formalize what we do with them.
Comment 13 Marcela Mašláňová 2011-05-09 05:29:53 EDT
We really need guideline for it, so all package maintainers solve it same. I didn't hear about priorities. I'd rather wait with EL-6 branch.
Comment 14 Iain Arnell 2011-06-21 02:57:38 EDT
There's a guideline for limited arch packages now. Basically, rebuild the RHEL srpm with "0." prepended to release number so that it never updates the real RHEL rpm. https://fedoraproject.org/wiki/EPEL:Packaging#Limited_Arch_Packages

Will you reconsider EL6 branch now?
Comment 15 Marcela Mašláňová 2011-06-21 06:14:32 EDT
Ok, thank you. Do you want own this branch?
Comment 16 Iain Arnell 2011-06-21 06:51:07 EDT
Thanks. I'm happy to own it - most likely /very/ low maintenance.
Comment 17 Marcela Mašláňová 2011-06-21 07:21:33 EDT
Package Change Request
======================
Package Name: perl-File-pushd
New Branches: el6
Owners: mmaslano iarnell
InitialCC: perl-sig

[ Build will be only for architectures, which are not provided by RHEL. ]
Comment 18 Gwyn Ciesla 2011-06-21 08:16:04 EDT
Git done (by process-git-requests).
Comment 19 Marcela Mašláňová 2011-06-21 09:20:03 EDT
Thanks for git.

Update is here:
https://admin.fedoraproject.org/updates/perl-File-pushd-1.00-0.3.1.el6

Note You need to log in before you can comment on or make changes to this bug.